Bug 214755 - hal cups backend should include IEEE 1284 Device ID
Summary: hal cups backend should include IEEE 1284 Device ID
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2006-11-09 11:14 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.6.2-4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 11:05:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hal-cups-utils-ieee1284.patch (2.14 KB, patch)
2006-11-09 11:14 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2006-11-09 11:14:10 UTC
Description of problem:
CUPS 1.2 supports an extra (backwards compatible) field when running the
backends with no arguments, for supplying an IEEE 1284 Device ID.  We can
reconstruct that information from the HAL info.

Version-Release number of selected component (if applicable):
0.6.2-4

How reproducible:
100%

Steps to Reproduce:
1. /usr/lib/cups/backend/hal
 
Actual results:
No Device ID on the end of each line.

Expected results:
Device ID on the end of each line.

Comment 1 Tim Waugh 2006-11-09 11:14:10 UTC
Created attachment 140756 [details]
hal-cups-utils-ieee1284.patch

Comment 2 Tim Waugh 2006-11-09 11:31:40 UTC
Fixed in devel:0.6.2-7, FC-6:0.6.2-4.2.

Comment 3 Fedora Update System 2006-11-13 18:58:18 UTC
Fixed in update: hal-cups-utils-0.6.2-4.2


Note You need to log in before you can comment on or make changes to this bug.